<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Classification</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
  <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag">
    sidebar
  </div>
  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="card shadow-lg">
          <div class="card-body">
            <div class="row mb-2">
              <div class="col-md-12 text-end">
                <a th:href="@{/classification/form}" class="btn btn-info text-white"><i class="fa fa-plus-circle"></i> &nbsp; Classification</a>
                <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#subclassification">
                  <i class="fa fa-plus-circle"></i> &nbsp; Subclassification
                </button>

                <div class="modal fade" id="subclassification" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <form th:action="@{/subClassification/save}" method="post">
                        <div class="modal-header">
                          <h1 class="modal-title fs-5" id="exampleModalLabel">Modal title</h1>
                          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body text-start">
                          <div class="form-group mb-3">
                            <label>Code</label>
                            <input type="text" class="form-control" name="code" required>
                          </div>
                          <div class="form-group mb-3">
                            <label>Name</label>
                            <input type="text" class="form-control" name="name" required>
                          </div>
                          <div class="form-group mb-3">
                            <label>Classification</label>
                            <select name="classification" class="form-select" required>
                              <option value="" selected>-- Select One --</option>
                              <option th:each="data, row:${listClassification}"
                                      th:value="${data.id}"
                                      th:text="${data.name}"></option>
                            </select>
                          </div>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                          <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>

              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-12">
                <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                  <strong th:text="${success}"></strong>
                  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
                <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${error != null}">
                  <strong th:text="${error}"></strong>
                  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
              </div>
            </div>
            <div class="row mb-2">
              <div class="col-md-12">
                <div class="card">
                  <div class="card-header">
                    <h5>Subclassification</h5>
                  </div>
                  <div class="card-body">
                    <div class="row mb-3">
                      <div class="col-md-4"></div>
                      <div class="col-md-4"></div>
                      <div class="col-md-4">
                        <form method="get">
                          <input type="text" name="search" class="form-control" placeholder="Search">
                        </form>
                      </div>
                    </div>
                    <div class="table-responsive">
                      <table class="table table-bordered table-striped">
                        <thead>
                        <tr>
                          <th>Code</th>
                          <th>Name</th>
                          <th>Classification</th>
                          <th style="width: 100px;"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data, row:${listSubClassification}">
                          <td th:text="${data.code}"></td>
                          <td th:text="${data.name}"></td>
                          <td th:text="${data.classification.name}"></td>
                          <td>
                            <a th:href="@{/subClassification/delete(id = ${data.id})}" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                          </td>
                        </tr>
                        </tbody>
                      </table>
                      <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center" sd:pagination="full">
                          <li class="page-item disabled">
                            <a class="page-link" href="#" tabindex="-1">Previous</a>
                          </li>
                          <li class="page-item"><a class="page-link" href="#">1</a></li>
                          <li class="page-item"><a class="page-link" href="#">2</a></li>
                          <li class="page-item"><a class="page-link" href="#">3</a></li>
                          <li class="page-item">
                            <a class="page-link" href="#">Next</a>
                          </li>
                        </ul>
                      </nav>
                    </div>
                  </div>
                </div>
              </div>


            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</main>
</body>
</html>